# Creating a US Bank Account

After topping up your Sendcash balance and your api access has been[ authenticated](/authentication.md), You can create a US dollar denominated bank account to transact with by providing `recipientDetails`, `bankDetails` and `addressDetails.`

| Argument         | Schema                                                                                                                                                                  |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| recipientDetails | <p>ownerEmail: String!</p><p>accountNumber: String</p><p> routingNumber: String</p><p> iban: String # international bank account number</p><p> destinationType: usa</p> |
| bankDetails      | <p>name: String! </p><p>city: String! </p><p>country: String! </p><p>line1: String! </p><p>line2: String</p><p>district: String! </p><p>postalCode: String!</p>         |
| addressDetails   | <p>name: String! </p><p>city: String! </p><p>country: String! </p><p>line1: String! </p><p>line2: String</p><p>district: String! </p><p>postalCode: String!</p>         |

Once you have all the required fields, you can query the api:

{% code title="createWireoutAccount.gql" %}

```bash
createWireoutAccount(
  recipientDetails: WireoutRecipientDetails!, bankDetails: WireoutAddressDetails!,
  addressDetails: WireoutAddressDetails!) {
    accountName
    accountNumber
    bankName
    destinationType
    iban
    id
    ownerEmail
    routingNumber
}
```

{% endcode %}

&#x20;If successful, a wire-out account will be created and you can perform a wire-out payment into the account. Keep the `id` field returned by the resolver handy, you'll need it to initiate and track transactions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendcash.africa/wireout-api/creating-a-us-bank-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
